From: "Richard Freeman" <rich0@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/mythplugins/
Date: Sat, 16 Apr 2016 12:11:00 +0000 (UTC) [thread overview]
Message-ID: <1460808314.cd6172dd6a074337ce64fe4c45fdab2a539faa84.rich0@gentoo> (raw)
commit: cd6172dd6a074337ce64fe4c45fdab2a539faa84
Author: Richard Freeman <rich0 <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 16 11:54:19 2016 +0000
Commit: Richard Freeman <rich0 <AT> gentoo <DOT> org>
CommitDate: Sat Apr 16 12:05:14 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd6172dd
media-plugins/mythplugins: Major update to 0.28
Package-Manager: portage-2.2.26
media-plugins/mythplugins/Manifest | 1 +
media-plugins/mythplugins/mythplugins-0.28.ebuild | 166 ++++++++++++++++++++++
2 files changed, 167 insertions(+)
diff --git a/media-plugins/mythplugins/Manifest b/media-plugins/mythplugins/Manifest
index e7cffab..6742ff1 100644
--- a/media-plugins/mythplugins/Manifest
+++ b/media-plugins/mythplugins/Manifest
@@ -3,3 +3,4 @@ DIST mythplugins-0.27.5-9498257571e8158926b60a0eefc74568c4436823.tar.xz 1364 SHA
DIST mythtv-0.27.5.tar.gz 85652939 SHA256 7e625f94332effeadfba8e7ae7c98d44a83bfc25b7c59e39adce67dc2f4e1e1b SHA512 b912e010e54271f9321ac1b11d4a31e4093f86c0f2ae3139d4b55085bab142ca3fc6d847d163f6b75aa31320404914c71c094528dc8ee7d70086e56a828b9169 WHIRLPOOL e9ebbbabac6ed53b4ec90537371a63e053bb9a2c0a0e920e43d3d2e475f87bdd0ac5a4604045498e88aaf06b11eb054d50dea7881c87dbd45a36c08309e1b880
DIST mythtv-0.27.6_p20160318.tar.gz 85676387 SHA256 d0b8c03d95e082e87e0fab8656358e9f3991cd08b2ec5edcbb10a9a91b1e4162 SHA512 7e94d07b4f99a15b978b42d8be11f329a938842b02ad99c9628ab6dda2fa802ca7148c5db9e6f7fae40f44027f55e69f1cdb6879ee83400934025f18ac68468f WHIRLPOOL d0f040c1ecb35e5c526477134d756a67d978aeefbf478b624eaa16e4ca1639e3b8f038507052b7d05e3a18fb85fd4e1eaeeb1a185ccfdf0fb2255fdc657be6c1
DIST mythtv-0.27.tar.gz 85904162 SHA256 494ebd7ee384e751c05ee0a1b3dcd3618caf72f1e94810381c09c2b5d1c799f0 SHA512 2ea070497a7610b8e1548112d9925a28aeedba819c2d063e88cc63daf69947379ce7213e357c26bf2221f8a8e865c937dee3b9bf2695644f2f1adeadf6d11116 WHIRLPOOL 74c4fade0d0f93a64e5f1da3120358f15f6f8891f53b7c74b41a286369e192790cae87829b79a3a90ce3ca23ede63b3dfa809b514b68cee220432794414b8a47
+DIST mythtv-0.28.tar.gz 104364066 SHA256 9d640ab0551b300dab9b633f969efc6f1987f9bdedbef5997a44ddf97d863171 SHA512 7087fa69b89a7166ddfa96a5a65f48e0ee1858bc150376b2ac2309707b4d1fb9cc544d60b114227284fd0d4891eabded6edc31215fb8f11d1df304fe77ff8f85 WHIRLPOOL f593ab2c232c4f5361b3997d35ba631c845d0f12399a772fdfc296a9e120f5a03a7ba22dbe26b972c522f46a13907fc09b2619e84874cd952095b72df54d53e1
diff --git a/media-plugins/mythplugins/mythplugins-0.28.ebuild b/media-plugins/mythplugins/mythplugins-0.28.ebuild
new file mode 100644
index 0000000..319c1b3
--- /dev/null
+++ b/media-plugins/mythplugins/mythplugins-0.28.ebuild
@@ -0,0 +1,166 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+BACKPORTS="3543e74534a39c150e956e2f07f50ed9f873a84e"
+MY_P=${P%_p*}
+
+inherit eutils python-single-r1 vcs-snapshot
+
+DESCRIPTION="Official MythTV plugins"
+HOMEPAGE="http://www.mythtv.org"
+SRC_URI="https://github.com/MythTV/mythtv/archive/${BACKPORTS}.tar.gz -> mythtv-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+MYTHPLUGINS="+mytharchive +mythbrowser +mythgallery +mythgame \
++mythmusic +mythnetvision +mythnews +mythweather +mythzoneminder"
+
+IUSE="${MYTHPLUGINS} alsa cdda cdr exif fftw +hls ieee1394 libass raw +theora +vorbis +xml xvid"
+
+DEPEND="!media-plugins/mytharchive
+ !media-plugins/mythbrowser
+ !media-plugins/mythgallery
+ !media-plugins/mythgame
+ !media-plugins/mythmovies
+ !media-plugins/mythmusic
+ !media-plugins/mythnetvision
+ !media-plugins/mythnews
+ !media-plugins/mythweather
+ ~media-tv/mythtv-${PV}:=[alsa=,hls=,ieee1394=,libass=,python,theora=,vorbis=,xml=,xvid=]
+ dev-libs/glib:=
+ xml? ( >=dev-libs/libxml2-2.6.0:= )
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtopengl:5
+ dev-qt/qtsql:5
+ dev-libs/openssl:=
+ alsa? ( >=media-libs/alsa-lib-1.0.24:= )
+ hls? (
+ media-libs/faac:=
+ media-libs/libvpx:=
+ >=media-libs/x264-0.0.20111220:=
+ >=media-sound/lame-3.93.1
+ )
+ media-libs/freetype:=
+ libass? ( >=media-libs/libass-0.9.11:= )
+ media-libs/libpng:=
+ theora? (
+ media-libs/libtheora:=
+ media-libs/libogg:=
+ )
+ xvid? ( >=media-libs/xvid-1.1.0:= )
+ virtual/libudev:=
+ ieee1394? (
+ >=sys-libs/libraw1394-1.2.0:=
+ >=sys-libs/libavc1394-0.5.3:=
+ >=media-libs/libiec61883-1.0.0:=
+ )
+ x11-libs/libX11:=
+ sys-libs/zlib:=
+ x11-libs/libXext:=
+ x11-libs/libXinerama:=
+ x11-libs/libXrandr:=
+ x11-libs/libXv:=
+ x11-libs/libXxf86vm:=
+ fftw? ( sci-libs/fftw:= )
+ sys-apps/util-linux:=
+ mythzoneminder? ( virtual/mysql )
+ mytharchive? (
+ app-cdr/dvd+rw-tools
+ dev-python/pillow:=
+ media-video/dvdauthor
+ media-video/mjpegtools[png]
+ media-video/transcode
+ virtual/cdrtools
+ )
+ mythgallery? (
+ media-libs/tiff:=
+ virtual/opengl
+ exif? ( >media-libs/libexif-0.6.9:= )
+ raw? ( media-gfx/dcraw )
+ )
+ mythmusic? (
+ >=media-libs/flac-1.1.2:=
+ >=media-libs/taglib-1.6:=
+ >=media-libs/libvorbis-1.0:=
+ media-libs/libogg:=
+ >=media-sound/lame-3.93.1
+ virtual/opengl
+ cdda? (
+ dev-libs/libcdio:=
+ cdr? ( virtual/cdrtools )
+ )
+
+ )
+ mythnetvision? (
+ ${PYTHON_DEPS}
+ dev-python/lxml:=
+ dev-python/mysql-python:=
+ dev-python/oauth:=
+ dev-python/pycurl:=
+ )
+ mythweather? (
+ dev-perl/Date-Manip
+ dev-perl/DateTime-Format-ISO8601
+ >=dev-perl/DateTime-1
+ dev-perl/Image-Size
+ dev-perl/JSON
+ dev-perl/SOAP-Lite
+ dev-perl/XML-Simple
+ dev-perl/XML-Parser
+ dev-perl/XML-SAX
+ dev-perl/XML-XPath
+ )
+ mythbrowser? (
+ dev-qt/qtwebkit:5
+ )"
+RDEPEND="${DEPEND}"
+
+REQUIRED_USE="
+ cdda? ( mythmusic )
+ cdr? ( mythmusic cdda )
+ exif? ( mythgallery )
+ fftw? ( mythmusic )
+ mythmusic? ( vorbis )
+ mythnews? ( mythbrowser )
+ raw? ( mythgallery )
+ mythnetvision? ( ${PYTHON_REQUIRED_USE} )"
+
+S="${WORKDIR}/mythtv-${PV}/mythplugins"
+
+src_prepare() {
+ sed -i '1i#define OF(x) x' mythgame/mythgame/external/ioapi.h
+ default_src_prepare
+}
+
+src_configure() {
+ ./configure \
+ --prefix=/usr \
+ --python=${EPYTHON} \
+ --enable-opengl \
+ $(use_enable mythzoneminder) \
+ $(use_enable mytharchive) \
+ $(use_enable mythbrowser) \
+ $(use_enable mythgallery) \
+ $(use_enable mythgame) \
+ $(use_enable mythmusic) \
+ $(use_enable mythnetvision) \
+ $(use_enable mythnews) \
+ $(use_enable mythweather) \
+ $(use_enable cdda cdio) \
+ $(use_enable exif) \
+ $(use_enable exif new-exif) \
+ $(use_enable raw dcraw) \
+ || die "configure failed"
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install || die "make install failed"
+}
next reply other threads:[~2016-04-16 12:11 UTC|newest]
Thread overview: 30+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-04-16 12:11 Richard Freeman [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-10-06 7:08 [gentoo-commits] repo/gentoo:master commit in: media-plugins/mythplugins/ Jakov Smolić
2021-10-06 7:08 Jakov Smolić
2021-10-05 7:39 Jakov Smolić
2021-09-09 11:09 Louis Sautier
2021-08-11 10:33 Joonas Niilola
2021-08-11 10:33 Joonas Niilola
2020-12-18 9:00 Michał Górny
2020-07-04 9:20 Michał Górny
2020-06-22 12:39 Joonas Niilola
2020-06-11 8:03 Joonas Niilola
2020-02-19 7:34 Joonas Niilola
2020-02-09 16:31 Michał Górny
2019-11-18 6:14 Joonas Niilola
2017-08-11 15:14 Andreas Sturmlechner
2017-07-22 0:23 Andreas Sturmlechner
2017-07-22 0:23 Andreas Sturmlechner
2017-07-22 0:23 Andreas Sturmlechner
2017-01-09 22:36 Aaron Bauman
2016-03-20 0:58 Doug Goldstein
2016-03-10 23:10 Andreas Hüttel
2016-02-22 8:46 Patrice Clement
2016-02-22 8:46 Patrice Clement
2016-01-29 12:19 Richard Freeman
2015-09-17 14:09 Doug Goldstein
2015-09-16 18:50 Doug Goldstein
2015-09-10 12:21 Richard Freeman
2015-09-07 20:07 Doug Goldstein
2015-09-07 18:25 Michał Górny
2015-08-14 12:53 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1460808314.cd6172dd6a074337ce64fe4c45fdab2a539faa84.rich0@gentoo \
--to=rich0@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox